void    physical_write_translated(unsigned char * str,printobj * prn);
boolean physical_printer_open(printobj * pr);
int     physical_printer_printf(printobj * pr, char * fmt, ...);
int     physical_printer_flush(printobj * pr);
void	physical_printer_newline(printobj * pr);
boolean physical_printer_ready(printobj * pr);
boolean physical_printer_init(printobj * pr, boolean test);
void    physical_printer_close(printobj * pr);
void	physical_printer_final(printobj * pr);
void    physical_printer_eject(printobj * pr);
boolean physical_test(void);
boolean generic_printer_init(printobj * pr, boolean test);
void    physical_printer_clear(printobj * pr);
void    printer_upline(printobj * pr);

